jQuery(document).ready(function($) {
    // Add Color Picker to all inputs that have 'color-field' class
    $(function() {
        $('.color-field').wpColorPicker();
    });

    // Optin Fields
    $("#amp_optin_select_form_company").change(function(){
      $(this).find("option:selected").each(function(){
          var optionValue = $(this).attr("value");
          if(optionValue){
              $(".optin-form-fields").hide();
              $(".optin-form-fields.optin-field-" + optionValue).show();
          } else{
              $(".optin-form-fields").hide();
          }
          $('.optin-form-fields-company-name').show();
          $('.optin-form-fields-submit-button').show();
          $('.optin-form-fields-description').show();
          $('.optin-form-fields-headline').show();
          
      });
    }).change();

    //for wysiwyg editor
    $("#amp_optin_checkbox").click(function(){ 
           check_status($(this));
    });
     check_status($("#amp_optin_checkbox")); 
  function check_status(optin){
          if (optin.prop('checked')==true){ 
              $('.optin-form-fields-wysiwyg').show();        
           }
           else{  
              $('.optin-form-fields-wysiwyg').hide();
           }
   }

   // redirect checkbox
    $("#amp_optin_checkbox_redirect").click(function(){ 
           redirect_check_status($(this));
    });
     redirect_check_status($("#amp_optin_checkbox_redirect")); 
  function redirect_check_status(optin){
              $('.optin-form-fields-redirect').hide();
          if (optin.prop('checked')==true){ 
              $('.optin-form-fields-redirect').show();        
           }
           else{  
              $('.optin-form-fields-redirect').hide();
           }
   }

   // for first name field hide
   var first_name_hide = $("#amp_optin_first_name_hide").parent().html();
   $("#amp_optin_first_name_hide").parents('.cmb-row').remove();
   $("#amp_optin_form_1_first_name").after('  Hide:'+first_name_hide);
    

    $("#amp_optin_first_name_hide").click(function(){ 
           check_status_first_name_field($(this));
    });
     check_status_first_name_field($("#amp_optin_first_name_hide")); 
    function check_status_first_name_field(optin){

          if (optin.prop('checked')==true){ 
              $('#amp_optin_form_1_first_name').fadeOut(500);        
           }
           else{  
              $('#amp_optin_form_1_first_name').fadeIn(500);
           }
    }

    // for second name field hide
   var second_name_hide = $("#amp_optin_last_name_hide").parent().html();
   $("#amp_optin_last_name_hide").parents('.cmb-row').remove();
   $("#amp_optin_form_1_last_name").after('  Hide:'+second_name_hide) ;

    $("#amp_optin_last_name_hide").click(function(){ 
           check_status_last_name_field($(this));
    });
     check_status_last_name_field($("#amp_optin_last_name_hide")); 
    function check_status_last_name_field(optin){
          if (optin.prop('checked')==true){ 
              $('#amp_optin_form_1_last_name').fadeOut(500);        
           }
           else{  
              $('#amp_optin_form_1_last_name').fadeIn(500);
           }
    }

});
   